OID reference

rsPingPacketTimeout

1.3.6.1.4.1.89.35.4.1.1.4

Description

Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.35.4.1.1 (rsPingEntry)
Node code
4
Node name
rsPingPacketTimeout
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.35.4.1.1.4
URN notation
urn:oid:1.3.6.1.4.1.89.35.4.1.1.4
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 35 4 1 1 4}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) rndApplications(35) rsPingMIB(4) rsPingTable(1) rsPingEntry(1) rsPingPacketTimeout(4)}
OID-IRI notation
  • /1/3/6/1/4/1/89/35/4/1/1/4
  • /ISO/Identified-Organization/6/1/4/1/89/35/4/1/1/4
  • /ISO/3/6/1/4/1/89/35/4/1/1/4
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/org/dod/internet/private/enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/org/dod/internet/private/enterprises/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/org/dod/internet/private/vendor-objects/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/rndApplications/rsPingMIB/rsPingTable/rsPingEntry/rsPingPacketTimeout

SNMP properties

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory, current

Definitions may combine these properties differently.

Compare 2 source variants

Variant 1 — D-Link official switch MIBs

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Allowed ranges
0–3600000

Variant 2 — Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), NETGEAR official product and EOL MIB downloads, and others

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
current
Allowed ranges
0–3600000

Using this OID with SNMP

At least one MIB declaration places this object in a table row. A value belongs to a row instance; its suffix depends on the row's INDEX or AUGMENTS definition.

In RADLAN-MIB, the row index rsPingAddress is declared as IpAddress. The IPv4 address is encoded as four numeric subidentifiers, one for each address octet. For example, a row with address 192.0.2.10 has the instance .1.3.6.1.4.1.89.35.4.1.1.4.192.0.2.10. Use an index value actually present on the device and permitted by its MIB. Other definitions can differ.

Published row index: rsPingAddress.

snmpwalk [connection options] DEVICE .1.3.6.1.4.1.89.35.4.1.1.4

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

Product context

Documented MIB packages

The NETGEAR catalogue lists MIB files containing this definition with these product and release labels:

These are catalogue release labels, not necessarily MIB revisions. A MIB definition does not establish that a device implements it or permits access.

Available source records contain 3 distinct definitions; some records may not include a definition.

Show 3 published definitions

rsPingPacketTimeout · mandatory

rsPingPacketTimeout OBJECT-TYPE
    SYNTAX INTEGER(0..3600000)
--  Units
--    milliseconds
    ACCESS read-write
    STATUS mandatory
    DESCRIPTION
        "Specifies the amount of time to wait for a response to a
        transmitted packet before declaring the packet 'dropped.'"
--    DEFVAL { 2000 }
    ::= { rsPingEntry 4 }

rsPingPacketTimeout · current

rsPingPacketTimeout OBJECT-TYPE
    SYNTAX INTEGER(0..3600000)
--  Units
--    milliseconds
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "Specifies the amount of time to wait for a response to a
        transmitted packet before declaring the packet 'dropped.'"
--    DEFVAL { 2000 }
    ::= { rsPingEntry 4 }

rsPingPacketTimeout · current

rsPingPacketTimeout OBJECT-TYPE
    SYNTAX INTEGER(0..3600000)
--  Units
--    milliseconds
    MAX-ACCESS  read-write
    STATUS      current
    DESCRIPTION
        "Specifies the amount of time to wait for a response to a
        transmitted packet before declaring the packet 'dropped.'"
--    DEFVAL { 2000 }
    ::= { rsPingEntry 4 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'

Sources for this description

Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)Dell MIB copies (LibreNMS/Observium Community)D-Link official switch MIBsNetdisco MIB archive copiesNETGEAR official product and EOL MIB downloads

See 2 matching source records

Evidence

Source records

2 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others2 records · 7 sources

Description 1

rsPingPacketTimeout · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: rsPingPacketTimeout

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rsPingPacketTimeout",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "(",
    "0",
    ".",
    ".",
    "3600000",
    ")",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'\"",
    "::=",
    "{",
    "rsPingEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "integerSubType",
        [
          [
            0,
            3600000
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'"
    ],
    null,
    null,
    null,
    null
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

rsPingPacketTimeout · currentMultiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community), Dell MIB copies (LibreNMS/Observium Community), and others6 sources

Status in source: current.

Names: rsPingPacketTimeout

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "rsPingPacketTimeout",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "(",
    "0",
    ".",
    ".",
    "3600000",
    ")",
    "MAX-ACCESS",
    "read-write",
    "STATUS",
    "current",
    "DESCRIPTION",
    "\"Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'\"",
    "::=",
    "{",
    "rsPingEntry",
    "4",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "integerSubType",
        [
          [
            0,
            3600000
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "current"
    ],
    [
      "DESCRIPTION",
      "Specifies the amount of time to wait for a response to a transmitted packet before declaring the packet 'dropped.'"
    ],
    null,
    null,
    null,
    null
  ]
}

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (13)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.35.4.1.1.1 rsPingAddress00
1.3.6.1.4.1.89.35.4.1.1.2 rsPingPacketCount00
1.3.6.1.4.1.89.35.4.1.1.3 rsPingPacketSize00
1.3.6.1.4.1.89.35.4.1.1.5 rsPingDelay00
1.3.6.1.4.1.89.35.4.1.1.6 rsPingTrapOnCompletion00
1.3.6.1.4.1.89.35.4.1.1.7 rsPingSentPackets00
1.3.6.1.4.1.89.35.4.1.1.8 rsPingReceivedPackets00
1.3.6.1.4.1.89.35.4.1.1.9 rsPingMinReturnTime00
1.3.6.1.4.1.89.35.4.1.1.10 rsPingAvgReturnTime00
1.3.6.1.4.1.89.35.4.1.1.11 rsPingMaxReturnTime00
1.3.6.1.4.1.89.35.4.1.1.12 rsPingCompletionStatus00
1.3.6.1.4.1.89.35.4.1.1.13 rsPingTimeStamp00
1.3.6.1.4.1.89.35.4.1.1.14 rsPingEntryStatus00